petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscEnumFind

searches enum list of strings for given string, using case insensitive matching

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEnumFind(const char *const *enumlist,const char *str,PetscEnum *value,PetscBool *found)

Not Collective

### Input Parameters

| enumlist | - list of strings to search, followed by enum name, then enum prefix, then NUL
| str | - string to look for

### Output Parameters

| value | - index of matching string (if found)
| found | - boolean indicating whether string was found (can be NULL)

### Notes

Not for use in Fortran

### Level

advanced

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages